Summary:	Shane's Chess Information Database
Name:		scid
Version:	4.3
Release:	%mkrel 4
Group:		Games/Boards
License:	GPL
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}.png
URL:		http://scid.sourceforge.net
BuildRequires:	tcl-devel
BuildRequires:	tk-devel
BuildRequires:	zlib-devel
Conflicts:	scidvspc

%description
Scid (Shane's Chess Information Database) is a free chess database app.

With Scid you can maintain a database of chess games, search games by
many criteria, view graphical trends, and produce printable reports on
players and openings.

You can also analyze games with the Xboard or UCI compatible chess
program, and even use Scid to study endings with endgame tablebases.

With Scid you can also play against various engines, or on the Internet.

%prep
%setup -q -n %{name}

%build
./configure BINDIR=%{_bindir} SHAREDIR=%{_datadir}/%{name}
%make

%install
mkdir -p %{buildroot}%{_bindir} %{buildroot}%{_datadir}/%{name}
%makeinstall BINDIR=%{buildroot}%{_bindir} SHAREDIR=%{buildroot}%{_datadir}/%{name}

mkdir -p %{buildroot}%{_iconsdir}/hicolor/128x128/apps
cp %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/128x128/apps

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Scid
Comment=Chess games database
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=BoardGame;
EOF

%files
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/*/*/*/%{name}.*
%doc CHANGES COPYING README THANKS bitmaps help


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 4.3-4.mga3
+ Revision: 381813
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 26 2012 dams <dams> 4.3-3.mga3
+ Revision: 274516
- Add a conflict with 'scidvspc'

* Thu Jul 26 2012 dams <dams> 4.3-2.mga3
+ Revision: 274494
- update '%%summary' and '%%description'

* Fri Jul 20 2012 dams <dams> 4.3-1.mga3
+ Revision: 272852
- imported package scid

